/// <reference types="nopt" />
export default function parseCliArgs(opts: {
    getCommandLongName: (commandName: string) => string;
    getTypesByCommandName: (commandName: string) => object;
    globalOptionsTypes: Record<string, unknown>;
    isKnownCommand: (commandName: string) => boolean;
    renamedOptions?: Record<string, string>;
    shortHands: Record<string, string[]>;
}, inputArgv: string[]): Promise<{
    argv: {
        remain: string[];
        cooked: string[];
        original: string[];
    };
    cliArgs: string[];
    cliConf: {};
    cmd: string;
    dir: string;
    subCmd: null;
    unknownOptions: string[];
    workspaceDir?: undefined;
} | {
    argv: {
        remain: string[];
        cooked: string[];
        original: string[];
    };
    cliArgs: string[];
    cliConf: {
        [k: string]: any;
    };
    cmd: string;
    subCmd: string | null;
    unknownOptions: string[];
    workspaceDir: string | undefined;
    dir?: undefined;
}>;
